<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" />

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0050"
	title	= "ﾃﾞｰﾀ登録"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT"  onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table summary="layout" >
		<tr>
			<og:value command="SQL">select max(EVENTNO)+1 as MAX_NO from GG10 where fgj='1'</og:value>
			<og:column name="EVENTNO"  	defaultVal="{@MAX_NO}"		must="true" />
			<og:column name="DY_HATU"	aimai="V*"	/>
			<og:column name="SET_GRP"	editor="DBMENU" mustAny="true"
					param="select SEL_VAL,SEL_NM,'',SEL_GRP,SEL_TYPE,SEQNO from GG03 where SEL_TYPE='0' and SEL_KEY='SET_GRP' and FGJ='1'
							order by 5,4,6,1,2"
			/>
			<og:column name="SEL_KEY"	editor="DBMENU" mustAny="true"
					param="select SEL_KEY,SEL_VAL,'',SEL_GRP,SEL_TYPE,SEQNO from GG03 where SEL_TYPE='1' and FGJ='1'
							order by 5,4,6,1,2"
			/>
		</tr>
		<tr>
			<og:column name="SEIZO"		/>
			<og:column name="SEIHIN"	/>
			<og:column name="SETUBI"	/>
		</tr>
	</table>

	<og:queryButton />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
